local 轻功列表 = 
{
	["无门派"] = {"新手轻功"};
	["少林"] = {"少林轻功"};
	["明教"] = {"明教轻功"};
	["丐帮"] = {"丐帮轻功"};
	["武当"] = {"武当轻功"};
	["峨嵋"] = {"峨嵋轻功"};
	["星宿"] = {"星宿轻功"};
	["天龙"] = {"天龙轻功"};
	["天山"] = {"天山轻功"};
	["逍遥"] = {"逍遥轻功"};
	["慕容"] = {"慕容轻功"};
	["唐门"] = {"唐门轻功"};
}

local 轻功坐标 = 
{
	[202] = {{22,79}};
	[203] = {{90,99}};
	[207] = {{64,55}};
	[209] = {{73,25},{67,24},{55,24},{80,24}};
}
local 角色门派 = 取角色门派()
local 间隔时间 = 1000
local 轻功间隔 = 5500
local 飞行间隔 = 3500
local 燕王古墓一层 = 202
local 燕王古墓二层 = 203
local 燕王古墓三层 = 204
local 燕王古墓四层 = 205
local 燕王古墓五层 = 206
local 燕王古墓六层 = 207
local 燕王古墓七层 = 208
local 燕王古墓八层 = 209
local 燕王古墓九层 = 210
local Ret = 0

function 燕王古墓(地图编号,目的地x,目的地y)
	延迟(间隔时间)
	local x,y,Hp,Mp,Map = 取角色信息()
	if 地图编号 ~= Map and 在地图("燕王古墓") ~= 1 then 
		打印信息("前往一层")
		召唤坐骑(1)
		ID_寻路(29,68,燕王古墓一层)
		while 取地图编号() ~= 燕王古墓一层 do 打印信息("跨图中..") 延迟(2000) end
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 燕王古墓一层 then 
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓一层 then 
			召唤坐骑(1)
			地图寻路(27,70)
			召唤坐骑(0)
			使用轻功(轻功坐标[Map][1][1],轻功坐标[Map][1][2],轻功列表[角色门派][1])
			while 取地图编号() ~= 燕王古墓二层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓一层 or 在地图("燕王古墓") ~= 1 then
			召唤坐骑(1)
			ID_寻路(目的地x,目的地y,地图编号)
			return
		end
	end
	if Map == 燕王古墓二层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓二层 then 
			if 取距离(106,18) > 20 then 召唤坐骑(1) end
			地图寻路(106,18)
			while 取地图编号() ~= 燕王古墓三层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓二层 or 在地图("燕王古墓") ~= 1 then
			if 取距离(87,93) > 20 then 召唤坐骑(1) end
			地图寻路(87,93)
			召唤坐骑(0)
			使用轻功(轻功坐标[Map][1][1],轻功坐标[Map][1][2],轻功列表[角色门派][1])
			while 取地图编号() ~= 燕王古墓一层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)
		end
	end
	if Map == 燕王古墓三层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓三层 then 
			if 取距离(110,114) > 20 then 召唤坐骑(1) end
			地图寻路(110,114)
			while 取地图编号() ~= 燕王古墓四层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓三层 or 在地图("燕王古墓") ~= 1 then
			if 取距离(7,24) > 20 then 召唤坐骑(1) end
			地图寻路(7,24)
			while 取地图编号() ~= 燕王古墓二层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)	
		end	
	end
	if Map == 燕王古墓四层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓四层 then 
			if 取距离(63,52) > 20 then 召唤坐骑(1) end
			地图寻路(63,52)
			while 取地图编号() ~= 燕王古墓五层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓四层 or 在地图("燕王古墓") ~= 1 then
			if 取距离(103,10) > 20 then 召唤坐骑(1) end
			地图寻路(103,10)
			while 取地图编号() ~= 燕王古墓三层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)
		end	
	end
	if Map == 燕王古墓五层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓五层 then 
			if 取距离(104,11) > 20 then 召唤坐骑(1) end
			地图寻路(104,24)
			地图寻路(104,11)
			while 取地图编号() ~= 燕王古墓六层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓五层 or 在地图("燕王古墓") ~= 1 then
			if 取距离(20,19) > 20 then 召唤坐骑(1) end
			地图寻路(20,19)
			while 取地图编号() ~= 燕王古墓四层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)
		end	
	end	
	if Map == 燕王古墓六层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓六层 then 
			召唤坐骑(1)
			地图寻路(64,60)
			召唤坐骑(0)
			使用轻功(轻功坐标[Map][1][1],轻功坐标[Map][1][2],轻功列表[角色门派][1])
			while 取地图编号() ~= 燕王古墓七层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓六层 or 在地图("燕王古墓") ~= 1 then
			if 取距离(64,116) > 20 then 召唤坐骑(1) end
			地图寻路(64,116)
			while 取地图编号() ~= 燕王古墓五层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)
		end	
	end	
	if Map == 燕王古墓七层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓七层 then 
			if 取距离(79,20) > 20 then 召唤坐骑(1) end
			地图寻路(79,20)
			while 取地图编号() ~= 燕王古墓八层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓七层 or 在地图("燕王古墓") ~= 1 then
			if 取距离(28,115) > 20 then 召唤坐骑(1) end
			地图寻路(28,115)
			while 取地图编号() ~= 燕王古墓六层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)
		end	
	end		
	if Map == 燕王古墓八层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 燕王古墓八层 then
			召唤坐骑(1)
			地图寻路(80,24)
			召唤坐骑(0)
			for i = 1 , 3 do
				使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
				延迟(轻功间隔)
				if i == 2 then 地图寻路(64,22) Ret = 1 end
			end		
			if 取距离(38,31) > 20 then 召唤坐骑(1) end
			地图寻路(38,31)
			while 取地图编号() ~= 燕王古墓九层 do 打印信息("传送中...") 延迟(2000) end
		end
		if 地图编号 < 燕王古墓八层 or 在地图("燕王古墓") ~= 1 then
			召唤坐骑(1)
			地图寻路(57,23)
			召唤坐骑(0)
			打印信息("执行到这里")
			Ret = 2
			while Ret ~= 0 do
				使用轻功(轻功坐标[Map][Ret][1],轻功坐标[Map][Ret][2],轻功列表[角色门派][1])
				延迟(轻功间隔)
				Ret = Ret - 1
			end	
			使用轻功(轻功坐标[Map][4][1],轻功坐标[Map][4][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
			if 取距离(10,13) > 20 then 召唤坐骑(1) end
			地图寻路(10,13)
			while 取地图编号() ~= 燕王古墓七层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)
		end	
	end	
	if Map == 燕王古墓九层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 < 燕王古墓九层 or 在地图("燕王古墓") ~= 1 then
			if 取距离(14,15) > 20 then 召唤坐骑(1) end
			地图寻路(14,15)
			while 取地图编号() ~= 燕王古墓八层 do 打印信息("传送中...") 延迟(2000) end
			return 燕王古墓(地图编号,目的地x,目的地y)
		end	
	end		
end


local 挂机x坐标,挂机y坐标,挂机地图 = 获取挂机信息()
打印信息("前往的挂机地点信息："..挂机x坐标..","..挂机y坐标..","..挂机地图)
if 挂机x坐标 ~= 0 and 挂机y坐标 ~= 0 then
	燕王古墓(挂机地图,挂机x坐标,挂机y坐标)
else
	打印信息("挂机坐标错误")
end

